com.verisign.epp.codec.emailFwd

## Class EPPEmailFwdPeriod

- java.lang.Object
- - com.verisign.epp.codec.emailFwd.EPPEmailFwdPeriod

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPEmailFwdPeriod
      extends java.lang.Object
      implements EPPCodecComponent

  Represents a emailFwd Period. A emailFwd name object MAY have a specified validity period. If server policy supports emailFwd object validity periods, the validity period is defined when a emailFwd object is created, and it MAY be extended by the EPP <renew> or <transfer> commands. As a matter of server policy, this specification does not define actions to be taken upon expiration of a emailFwd object's validity period.
  Validity periods are measured in years or months with the appropriate units specified using the `unit` attribute. Valid values for the `unit` attribute are `y` for years and `m` for months.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PERIOD_UNIT_MONTH` Period in Unit Month
    `static java.lang.String` | `PERIOD_UNIT_YEAR` Period in Unit Year

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPEmailFwdPeriod()` `EPPEmailFwdPeriod` default constructor.
    `EPPEmailFwdPeriod(int aPeriod)` `EPPEmailFwdPeriod` constructor that takes the emailFwd period (in unit of year) as an argument
    `EPPEmailFwdPeriod(java.lang.String aPUnit, int aPeriod)` `EPPEmailFwdPeriod` constructor that takes the emailFwd period and period unit as an arguments

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPEmailFwdPeriod`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPEmailFwdPeriod attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the EPPEmailFwdPeriod instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPEmailFwdPeriod` compare.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `int` | `getPeriod()` Get emailFwd period.
    `java.lang.String` | `getPUnit()` Get emailFwd period unit.
    `boolean` | `isPeriodUnspec()` Test whether the period has been specfied: `true` is unspecified and `false` is specified.
    `void` | `setPeriod(int newPeriod)` Set emailFwd period.
    `void` | `setPUnit(java.lang.String newPUnit)` Set emailFwd period of un.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PERIOD_UNIT_MONTH

          public static final java.lang.String PERIOD_UNIT_MONTH

      Period in Unit Month
      See Also:
        Constant Field Values

    - #### PERIOD_UNIT_YEAR

          public static final java.lang.String PERIOD_UNIT_YEAR

      Period in Unit Year
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPEmailFwdPeriod

          public EPPEmailFwdPeriod()

      `EPPEmailFwdPeriod` default constructor. The period is initialized to `unspecified`. The period must be set before invoking `encode`.

    - #### EPPEmailFwdPeriod

          public EPPEmailFwdPeriod(int aPeriod)

      `EPPEmailFwdPeriod` constructor that takes the emailFwd period (in unit of year) as an argument
      Parameters:
        `aPeriod` - int

    - #### EPPEmailFwdPeriod

          public EPPEmailFwdPeriod(java.lang.String aPUnit,
                                   int aPeriod)

      `EPPEmailFwdPeriod` constructor that takes the emailFwd period and period unit as an arguments
      Parameters:
        `aPUnit` - String
        `aPeriod` - int

  - ### Method Detail

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPEmailFwdPeriod`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPEmailFwdPeriod`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the EPPEmailFwdPeriod attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - - Root DOM Element to decode EPPEmailFwdPeriod from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the EPPEmailFwdPeriod instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element - Root DOM Element representing the EPPEmailFwdPeriod instance.
      Throws:
        `EPPEncodeException` - - Unable to encode EPPEmailFwdPeriod instance.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPEmailFwdPeriod` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPEmailFwdPeriod` instance to compare with
      Returns:
        DOCUMENT ME!

    - #### getPeriod

          public int getPeriod()

      Get emailFwd period.
      Returns:
        int

    - #### getPUnit

          public java.lang.String getPUnit()

      Get emailFwd period unit.
      Returns:
        String

    - #### isPeriodUnspec

          public boolean isPeriodUnspec()

      Test whether the period has been specfied: `true` is unspecified and `false` is specified.
      Returns:
        boolean

    - #### setPeriod

          public void setPeriod(int newPeriod)
                         throws EPPCodecException

      Set emailFwd period.
      Parameters:
        `newPeriod` - int
      Throws:
        `EPPCodecException` - DOCUMENT ME!

    - #### setPUnit

          public void setPUnit(java.lang.String newPUnit)

      Set emailFwd period of un. Creation date: (5/30/01 11:36:52 AM)
      Parameters:
        `newPUnit` - java.lang.String

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.